body {
    margin: 0;
    padding: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    font-family: 'Jost', sans-serif;
    /* background: linear-gradient(to bottom, #1b1b2a, #1b1b2a, #1b1b2a); */
    background-image: url("../images/esign-bg.jpg");
}

.main {
    width: 350px;
    height: 500px;
    background: red;
    overflow: hidden;
    background: url("../images/esign-bg.jpg") no-repeat center/ cover;
    border-radius: 10px;
    box-shadow: 5px 20px 50px #000;
}

#chk {
    display: none;
}

.signup {
    position: relative;
    width: 100%;
    height: 100%;
}

label {
    color: #000;
    font-size: 2.0em;
    justify-content: center;
    display: flex;
    margin: 60px;
    font-weight: bold;
    cursor: pointer;
    transition: .5s ease-in-out;
}

input {
    width: 60%;
    height: 20px;
    background: #e0dede;
    justify-content: center;
    display: flex;
    margin: 20px auto;
    padding: 10px;
    border: none;
    outline: none;
    border-radius: 5px;
}

button {
    width: 60%;
    height: 40px;
    margin: 10px auto;
    justify-content: center;
    display: block;
    color: #fff;
    background: #25d366;
    font-size: 1em;
    font-weight: bold;
    margin-top: 8%;
    outline: none;
    border: none;
    border-radius: 5px;
    transition: .2s ease-in;
    cursor: pointer;
}

button:hover {
    background: #1877f2;
}

.fbBtn {
    width: 60%;
    height: 40px;
    margin: 10px auto;
    justify-content: center;
    display: block;
    color: #fff;
    background: #25d366;
    font-size: 1em;
    font-weight: bold;
    margin-top: 8%;
    outline: none;
    border: none;
    border-radius: 5px;
    transition: .2s ease-in;
    cursor: pointer;
}

.fbBtn:hover {
    background: #1b1b28;
}

.login {
    height: 460px;
    background: #1877f2;
    border-radius: 60% / 10%;
    transform: translateY(-180px);
    transition: .8s ease-in-out;
}

.login label {
    color: #1b1b28;
    transform: scale(.6);
}

#chk:checked~.login {
    transform: translateY(-500px);
}

#chk:checked~.login label {
    transform: scale(1);
}

#chk:checked~.signup label {
    transform: scale(.6);
}

a {
    color: #25d366;
}

.signup-label {
    color: #000;
    font-size: 2em;
    text-align: center;
    display: flex;
    margin: 60px;
    font-weight: bold;
    cursor: pointer;
    transition: .5s ease-in-out;
}

.p-txt {
    text-align: center;
    padding: 16px;
}